GTXclient C API GTXserver-16.0.2

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
GTXFaultSegment Struct Reference

Description of a Fault Segment. More...

`#include <GTXClient.h>`

## Data Fields
double | X1
double | Y1
double | Z1
double | X2
double | Y2
double | Z2
double | X3
double | Y3
double | Z3
double | V1
double | V2
double | V3
int | priority

## Detailed Description

Description of a Fault Segment.

Examples:
  write_fault.c.

## Field Documentation

int GTXFaultSegment::priority

Segment priority in the fault system (1 to 127)

Examples:
  text_list.c, and write_fault.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::V1

Auxilliary variable associated with the first point

Examples:
  text_list.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::V2

Auxilliary variable associated with the second point

Examples:
  text_list.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::V3

Auxilliary variable associated with the third point

Examples:
  text_list.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::X1

X coordinate of the first point of the fault segment

Examples:
  text_list.c, and write_fault.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::X2

X coordinate of the second point of the fault segment

Examples:
  text_list.c, and write_fault.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::X3

X coordinate of the third point of the fault triangle (if the fault is a 3D fault)

Examples:
  text_list.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::Y1

Y coordinate of the first point of the fault segment

Examples:
  text_list.c, and write_fault.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::Y2

Y coordinate of the second point of the fault segment

Examples:
  text_list.c, and write_fault.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::Y3

Y coordinate of the third point of the fault triangle (if the fault is a 3D fault)

Examples:
  text_list.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::Z1

Z coordinate of the first point of the fault segment

Examples:
  text_list.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::Z2

Z coordinate of the second point of the fault segment

Examples:
  text_list.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

double GTXFaultSegment::Z3

Z coordinate of the third point of the fault triangle (if the fault is a 3D fault)

Examples:
  text_list.c.

Referenced by GTXClientFaultsSegmentDuplicate(), GTXClientReadFaults(), and GTXClientWriteFaults().

The documentation for this struct was generated from the following file:

- include/GTXClient.h